<?php

/**
 * @file
 * Hooks provided by the Entity Timeline module.
 */

use Drupal\Core\Entity\EntityInterface;

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Override entity timeline item rendered entity.
 *
 * @param \Drupal\Core\Entity\EntityInterface $entity
 *   The entity.
 * @param array $config
 *   The timeline item configuration.
 *
 * @return array
 *   Return build array to replace default render.
 */
function hook_entity_timeline_ENTITY_TYPE_view(EntityInterface $entity, array $config): array {
  return [
    '#markup' => t('Render this instead'),
  ];
}

/**
 * @} End of "addtogroup hooks".
 */
